## ktexteditor 5.31.0

=== debian/changelog ===
ktexteditor (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:22 +0000

ktexteditor (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:01 +0000

ktexteditor (5.28.0-0ubuntu1) zesty; urgency=medium

  [ Rik Mills ]
  * Remove upstream_fix_text_search.diff, unneeded since 5.27.0
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

  [ Clive Johnston ]
  * Add new build dep libkf5syntaxhighlighting-dev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:59 +0000

ktexteditor (5.26.0-0ubuntu1.1) yakkety; urgency=medium

  * Add upstream_fix_text_search.diff (LP: #1632848)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 20 Oct 2016 15:43:47 +0100

ktexteditor (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:49:36 +0100

ktexteditor (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:46:02 +0000

ktexteditor (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:17:16 +0200

ktexteditor (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Refresh patch. 
  * Remove whitespace patch. 
  * This time in the repo. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:36:35 -0700
