=== debian/control ===
Source: ktexteditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgit2-dev (>= 0.22~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               perl,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor

Package: libkf5texteditor-dev
Architecture: any
Section: libdevel
Depends: libkf5parts-dev (>= 5.31.0~),
         libkf5texteditor5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: libkf5texteditor5
Architecture: any
Multi-Arch: same
Depends: ktexteditor-data (= ${source:Version}),
         libkf5texteditor5-libjs-underscore,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ktexteditor-katepart (= ${binary:Version})
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: libkf5texteditor5-libjs-underscore
Architecture: any
Multi-Arch: foreign
Depends: libjs-underscore, ${misc:Depends}, ${shlibs:Depends}
Description: Bridge package for libjs-underscore
 Bridge package for libjs-underscore to allow for installation of
 libjs-underscore in multi-arch use.

Package: ktexteditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: ktexteditor-katepart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This contains the Kate Part plugin.
