## ktexteditor 5.38.0

=== debian/changelog ===
ktexteditor (5.38.0-0ubuntu1.1) artful; urgency=medium

  * Fix indentation problems introduced in 5.38 (LP: #1724709).
    - fix-indentation.patch

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Oct 2017 19:50:52 -0500

ktexteditor (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:17:02 +0100

ktexteditor (5.37.0-0ubuntu1) artful; urgency=medium

  * Install ktexteditor plugin template
  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:47:19 +0100

ktexteditor (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:18 +0100

ktexteditor (5.35.0-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * debian/patches: drop katesyntaxtest_check_basename patch. Changes applied
    upstream.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:57:12 +0100

ktexteditor (5.34.0-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Install files for 'KAuth integration in document saving'
  
  [ José Manuel Santamaría Lema ]
  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:09 +0100

ktexteditor (5.33.0-0ubuntu2) artful; urgency=medium

  * Add libeditorconfig-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 03 May 2017 12:38:50 +0100

ktexteditor (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:04:11 +0100
