=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libeditorconfig-dev,
                libgit2-dev (>= 0.22~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5guiaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5parts-dev (>= 5.31.0~),
-               libkf5sonnet-dev (>= 5.31.0~),
-               libkf5syntaxhighlighting-dev (>= 5.31.0~),
+               libkf5archive-dev (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5guiaddons-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5iconthemes-dev (>= 5.38.0~),
+               libkf5kio-dev (>= 5.38.0~),
+               libkf5parts-dev (>= 5.38.0~),
+               libkf5sonnet-dev (>= 5.38.0~),
+               libkf5syntaxhighlighting-dev (>= 5.38.0~),
                libqt5xmlpatterns5-dev (>= 5.6.1~),
                perl,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                qtscript5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
@@ -30,7 +31,7 @@
 Package: libkf5texteditor-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5parts-dev (>= 5.31.0~),
+Depends: libkf5parts-dev (>= 5.38.0~),
          libkf5texteditor5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
