=== debian/changelog ===
ktexteditor (5.44.0-0ubuntu2) bionic; urgency=medium

  * Fix scrolling, more details available here:
    https://mail.kde.org/pipermail/kde-distro-packagers/2018-March/000310.html
    - fix-scrolling-bug.patch
  * Fix spelling of patch name.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 20 Mar 2018 19:32:57 -0500

ktexteditor (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:59:05 +0000

ktexteditor (5.43.0-0ubuntu2) bionic; urgency=medium

  * Skip vimode tests. Broken on upstream CI builds, and reported as
    KDE bug 390333

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Feb 2018 20:45:51 +0000

ktexteditor (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:16:35 +0000

ktexteditor (5.42.0-0ubuntu1) bionic; urgency=medium

  * Drop fix_syntax_hilite_test.patch; included in 5.42
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:22:55 +0000

ktexteditor (5.41.0-0ubuntu2) bionic; urgency=medium

  * fix_syntax_hilite_test.patch fixes autopkgtest failure 

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 13 Dec 2017 18:05:44 +0000

ktexteditor (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:07:50 -0600

ktexteditor (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:43 +0000
