## ktexteditor 5.50.0

=== debian/changelog ===
ktexteditor (5.50.0-0ubuntu1) cosmic; urgency=medium

  * Refresh patches
  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:08 +0100

ktexteditor (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:16 +0100

ktexteditor (5.47.0-0ubuntu3) cosmic; urgency=medium

  * Ignore tests on not x86 until next version

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 30 Jul 2018 15:03:41 +0100

ktexteditor (5.47.0-0ubuntu2) cosmic; urgency=medium

  * Restore libkf5texteditor5-libjs-underscore bridge dependency package

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 18 Jun 2018 08:51:21 +0100

ktexteditor (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
  * As per debian, add libkf5texteditor-bin package and remove
    libkf5texteditor5-libjs-underscore bridge dependency package
  * Add breaks/replaces for file moved to libkf5texteditor-bin and update
    install files

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:28 +0100

ktexteditor (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * testsuite: Run tests one at the time
  * testsuite: Ignore stderr
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:32 +0200

ktexteditor (5.46.0-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild against the latest libgit2

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 May 2018 21:49:13 +0000

ktexteditor (5.46.0-0ubuntu1) cosmic; urgency=medium

  * Drop upstream applied fix-scrolling-bug.patch
  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:57:36 +0100

ktexteditor (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:55 +0200

ktexteditor (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:16 +0100

ktexteditor (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:05 +0100

ktexteditor (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:11 +0100

ktexteditor (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Add new binary package libkf5texteditor-bin
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:52 +0100

ktexteditor (5.41.0-1) experimental; urgency=medium

  * Add libeditorconfig-dev build dep.
    Thanks to Václav Doležal for the report (Closes: 876063)
  * New upstream release (5.38.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.2.
  * Replace underscore using linktrees
  * Use system copy of underscore.js for the embedded resources
  * Use the underscore.js available in libraries
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:06 -0300

ktexteditor (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:50 +0200

ktexteditor (5.37.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Add a libkf5texteditor-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

  [ Rik Mills ]
  * Install ktexteditor plugin template

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:52 +0200

ktexteditor (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Drop upstream patches
  * Update build-deps and deps with the info from cmake
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Jonathan Riddell ]
  * kauth stuff
  * binary not data

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:41 +0200
