=== debian/control ===
--- 
+++ 
@@ -3,27 +3,33 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
                libeditorconfig-dev,
-               libgit2-dev (>= 0.22~),
-               libkf5archive-dev (>= 5.44.0~),
-               libkf5config-dev (>= 5.44.0~),
-               libkf5guiaddons-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5iconthemes-dev (>= 5.44.0~),
-               libkf5kio-dev (>= 5.44.0~),
-               libkf5parts-dev (>= 5.44.0~),
-               libkf5sonnet-dev (>= 5.44.0~),
-               libkf5syntaxhighlighting-dev (>= 5.44.0~),
-               libqt5xmlpatterns5-dev (>= 5.6.1~),
+               libgit2-dev (>= 0.22.0~),
+               libjs-underscore,
+               libkf5archive-dev (>= 5.50.0~),
+               libkf5config-dev (>= 5.50.0~),
+               libkf5guiaddons-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5iconthemes-dev (>= 5.50.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5parts-dev (>= 5.50.0~),
+               libkf5sonnet-dev (>= 5.50.0~),
+               libkf5syntaxhighlighting-dev (>= 5.50.0~),
+               libqt5sql5-sqlite,
+               libqt5xmlpatterns5-dev (>= 5.8.0~),
                perl,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtdeclarative5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
+               qtscript5-dev (>= 5.7.0~),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
@@ -55,14 +61,32 @@
  .
  This contains the Kate Part plugin.
 
+Package: libkf5texteditor-bin
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5texteditor5 (<< 5.47.0~)
+Replaces: libkf5texteditor5 (<< 5.47.0~)
+Description: provide advanced plain text editing services (binaries)
+ The KTextEditor interfaces - also called KTE interfaces - are a set
+ of well-defined interfaces which an application or library can
+ implement to provide advanced plain text editing
+ services. Applications which utilise this interface can thus allow
+ the user to choose which implementation of the editor component to
+ use. The only implementation right now is the Kate Editor Component
+ (Kate Part).
+ .
+ This package contains the helper binaries.
+
 Package: libkf5texteditor-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5parts-dev (>= 5.44.0~),
+Depends: libkf5parts-dev (>= 5.50.0~),
          libkf5texteditor5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+Recommends: libkf5texteditor-doc (= ${source:Version})
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -74,11 +98,28 @@
  .
  Contains development files for ktexteditor.
 
+Package: libkf5texteditor-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: provide advanced plain text editing services (documentation)
+ The KTextEditor interfaces - also called KTE interfaces - are a set
+ of well-defined interfaces which an application or library can
+ implement to provide advanced plain text editing
+ services. Applications which utilise this interface can thus allow
+ the user to choose which implementation of the editor component to
+ use. The only implementation right now is the Kate Editor Component
+ (Kate Part).
+ .
+ This package contains the qch documentation files.
+
 Package: libkf5texteditor5
 Architecture: any
 Multi-Arch: same
 Depends: ktexteditor-data (= ${source:Version}),
          libkf5texteditor5-libjs-underscore,
+         libkf5texteditor-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: ktexteditor-katepart (= ${binary:Version})
