## ktexteditor 5.54.0

=== debian/changelog ===
ktexteditor (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:20 -0300

ktexteditor (5.51.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files. (Closes: #915483)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 17:31:20 +0100

ktexteditor (5.51.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from logs of buildds.
  * Small changes to copyright.
  * Remove no more used not-installed file.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Nov 2018 10:13:42 +0100

ktexteditor (5.51.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Update symbols files from logs of buildds.

  [ Maximiliano Curia ]
  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Skip auto_test in armhf
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:19 +0100

ktexteditor (5.49.0-2) unstable; urgency=medium

  * Team upload.
  * Add a symbols file for libkf5texteditor5, based on all the versions of
    this source uploaded to Debian.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Change the section of ktexteditor-data to 'kde', instead of 'libs'.
  * Remove the unused ${shlibs:Depends} substvar from ktexteditor-data, and
    libkf5texteditor-dev.
  * Tighten the libkf5texteditor5 dependency in ktexteditor-katepart to the
    same binary version.
  * Remove old stuff from copyright.
  * Run the test suite during the build:
    - add the xauth, and xvfb build dependencies
    - run xvfb-run with the proper arguments
    - do not run the tests in parallel, since some of them conflict with each
      other
  * Remove the 'testsuite' autopkgtest, no more needed with the in-build
    testsuite.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Sep 2018 11:34:39 +0200

ktexteditor (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Drop upstream patch
  * Disable vimode_keys failing test
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:59 +0200

ktexteditor (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * CVE-2018-10361: privilege escalation (Closes: 896836)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:22 +0200
