=== debian/control ===
Source: ktexteditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libeditorconfig-dev,
               libgit2-dev (>= 0.22.0~),
               libjs-underscore,
               libkf5archive-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5guiaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5parts-dev (>= 5.54.0~),
               libkf5sonnet-dev (>= 5.54.0~),
               libkf5syntaxhighlighting-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               libqt5xmlpatterns5-dev (>= 5.8.0~),
               perl,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.7.0~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.2.1
Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktexteditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktexteditor.git

Package: ktexteditor-data
Section: kde
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: ktexteditor-katepart
Architecture: any
Depends: libkf5texteditor5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This contains the Kate Part plugin.

Package: libkf5texteditor-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provide advanced plain text editing services (binaries)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the helper binaries.

Package: libkf5texteditor-dev
Section: libdevel
Architecture: any
Depends: libkf5parts-dev (>= 5.54.0~),
         libkf5texteditor5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Recommends: libkf5texteditor-doc (= ${source:Version})
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: libkf5texteditor-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: provide advanced plain text editing services (documentation)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5texteditor5
Architecture: any
Depends: ktexteditor-data (= ${source:Version}),
         libjs-underscore,
         libkf5texteditor-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
Multi-Arch: same
Recommends: ktexteditor-katepart (= ${binary:Version})
